#include <QSettings>

#include "settings.h"


namespace Settings {

void setDefaultSettings()
{
    QSettings settings;
    foreach (QString key, defaults.keys()) {
        settings.setValue(key, defaults[key]);
    }
}

QVariant getValue(QString key) {
    QSettings settings;
    return settings.value(key, defaults[key]);
}

void setValue(QString key, QVariant value) {
    QSettings settings;
    settings.setValue(key, value);
}

}
